dracut/dracut-055-bluetooth-lib64-fix.patch

23 lines
983 B
Diff

--- dracut-055/modules.d/62bluetooth/module-setup.sh.orig 2021-08-10 11:21:17.707996124 +0200
+++ dracut-055/modules.d/62bluetooth/module-setup.sh 2021-08-10 11:21:41.875402132 +0200
@@ -5,7 +5,7 @@
# Prerequisite check(s) for module.
check() {
# If the binary(s) requirements are not fulfilled the module can't be installed
- require_any_binary /usr/lib/bluetooth/bluetoothd /usr/libexec/bluetooth/bluetoothd || return 1
+ require_any_binary /usr/lib64/bluetooth/bluetoothd /usr/libexec64/bluetooth/bluetoothd || return 1
if [[ $hostonly ]]; then
# Include by default if a Peripheral (0x500) is found of minor class:
@@ -61,8 +61,8 @@
bluetoothctl
inst_multiple -o \
- /usr/libexec/bluetooth/bluetoothd \
- /usr/lib/bluetooth/bluetoothd
+ /usr/libexec64/bluetooth/bluetoothd \
+ /usr/lib64/bluetooth/bluetoothd
if [[ $hostonly ]]; then
var_lib_files=("$dracutsysrootdir"/var/lib/bluetooth/**)